#pragma once

#include "server.h"


class TIndexEmulatorServer : public TEmulatorServer, public NNeh::IOnRequest {
public:
    TIndexEmulatorServer(const TEmulatorServerConfig& config);
    virtual void OnRequest(NNeh::IRequestRef req);

private:
    TString Path;
    NNeh::IRequesterRef Requester;
};

